Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

devstack juno installation error

2015-03-30 16:30:45.232 | + [[ -r /home/seecs/devstack/lib/nova_plugins/hypervisor-libvirt ]] 2015-03-30 16:30:45.232 | + configure_nova_hypervisor 2015-03-30 16:30:45.232 | + configure_libvirt 2015-03-30 16:30:45.232 | + is_service_enabled neutron 2015-03-30 16:30:45.235 | + return 0 2015-03-30 16:30:45.235 | + is_neutron_ovs_base_plugin 2015-03-30 16:30:45.236 | + return 0 2015-03-30 16:30:45.236 | + sudo grep -q '^cgroup_device_acl' /etc/libvirt/qemu.conf 2015-03-30 16:30:45.243 | + cat 2015-03-30 16:30:45.244 | + sudo tee -a /etc/libvirt/qemu.conf 2015-03-30 16:30:45.250 | cgroup_device_acl = [ 2015-03-30 16:30:45.250 | "/dev/null", "/dev/full", "/dev/zero", 2015-03-30 16:30:45.250 | "/dev/random", "/dev/urandom", 2015-03-30 16:30:45.250 | "/dev/ptmx", "/dev/kvm", "/dev/kqemu", 2015-03-30 16:30:45.250 | "/dev/rtc", "/dev/hpet","/dev/net/tun", 2015-03-30 16:30:45.250 | ] 2015-03-30 16:30:45.250 | + is_ubuntu 2015-03-30 16:30:45.250 | + [[ -z deb ]] 2015-03-30 16:30:45.250 | + '[' deb = deb ']' 2015-03-30 16:30:45.250 | + '[' '!' -f /etc/init.d/libvirtd ']' 2015-03-30 16:30:45.250 | + LIBVIRT_DAEMON=libvirt-bin 2015-03-30 16:30:45.250 | + is_fedora 2015-03-30 16:30:45.250 | + [[ -z Ubuntu ]] 2015-03-30 16:30:45.250 | + '[' Ubuntu = Fedora ']' 2015-03-30 16:30:45.250 | + '[' Ubuntu = 'Red Hat' ']' 2015-03-30 16:30:45.251 | + '[' Ubuntu = CentOS ']' 2015-03-30 16:30:45.251 | + '[' Ubuntu = OracleLinux ']' 2015-03-30 16:30:45.251 | + is_suse 2015-03-30 16:30:45.251 | + [[ -z Ubuntu ]] 2015-03-30 16:30:45.251 | + '[' Ubuntu = openSUSE ']' 2015-03-30 16:30:45.251 | + '[' Ubuntu = 'SUSE LINUX' ']' 2015-03-30 16:30:45.251 | + getent group libvirtd 2015-03-30 16:30:45.252 | + add_user_to_group seecs libvirtd 2015-03-30 16:30:45.252 | + local user=seecs 2015-03-30 16:30:45.252 | + local group=libvirtd 2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]] 2015-03-30 16:30:45.252 | + is_suse 2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]] 2015-03-30 16:30:45.252 | + '[' Ubuntu = openSUSE ']' 2015-03-30 16:30:45.252 | + '[' Ubuntu = 'SUSE LINUX' ']' 2015-03-30 16:30:45.252 | + sudo usermod -a -G libvirtd seecs 2015-03-30 16:30:45.259 | + [[ False = \T\r\u\e ]] 2015-03-30 16:30:45.259 | + restart_service libvirt-bin 2015-03-30 16:30:45.259 | + is_ubuntu 2015-03-30 16:30:45.259 | + [[ -z deb ]] 2015-03-30 16:30:45.259 | + '[' deb = deb ']' 2015-03-30 16:30:45.259 | + sudo /usr/sbin/service libvirt-bin restart 2015-03-30 16:30:45.277 | libvirt-bin stop/waiting 2015-03-30 16:30:45.294 | libvirt-bin start/running, process 14823 2015-03-30 16:30:45.295 | + iniset /etc/nova/nova.conf libvirt virt_type kvm 2015-03-30 16:30:45.302 | + iniset /etc/nova/nova.conf libvirt cpu_mode none 2015-03-30 16:30:45.309 | + iniset /etc/nova/nova.conf libvirt use_usb_tablet False 2015-03-30 16:30:45.315 | + iniset /etc/nova/nova.conf libvirt live_migration_uri qemu+ssh://seecs@%s/system 2015-03-30 16:30:45.321 | + iniset /etc/nova/nova.conf DEFAULT default_ephemeral_format ext4 2015-03-30 16:30:45.330 | + iniset /etc/nova/nova.conf DEFAULT compute_driver libvirt.LibvirtDriver 2015-03-30 16:30:45.341 | + LIBVIRT_FIREWALL_DRIVER=nova.virt.libvirt.firewall.IptablesFirewallDriver 2015-03-30 16:30:45.341 | + iniset /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.libvirt.firewall.IptablesFirewallDriver 2015-03-30 16:30:45.351 | + is_arch ppc64 2015-03-30 16:30:45.352 | ++ uname -m 2015-03-30 16:30:45.353 | + [[ x86_64 == \p\p\c\6\4 ]] 2015-03-30 16:30:45.353 | ++ trueorfalse False ENABLE_FILE_INJECTION 2015-03-30 16:30:45.356 | + ENABLE_FILE_INJECTION=False 2015-03-30 16:30:45.356 | + [[ False = \T\r\u\e ]] 2015-03-30 16:30:45.356 | + iniset /etc/nova/nova.conf libvirt inject_partition -2 2015-03-30 16:30:45.365 | + [[ kvm = \p\a\r\a\l\l\e\l\s ]] 2015-03-30 16:30:45.365 | + is_service_enabled horizon 2015-03-30 16:30:45.367 | + return 0 2015-03-30 16:30:45.367 | + install_django_openstack_auth 2015-03-30 16:30:45.367 | + use_library_from_git django_openstack_auth 2015-03-30 16:30:45.367 | + local name=django_openstack_auth 2015-03-30 16:30:45.367 | + local enabled=1 2015-03-30 16:30:45.367 | + [[ ,, =~ ,django_openstack_auth, ]] 2015-03-30 16:30:45.367 | + return 1 2015-03-30 16:30:45.367 | + stack_install_service horizon 2015-03-30 16:30:45.367 | + local service=horizon 2015-03-30 16:30:45.367 | + type install_horizon 2015-03-30 16:30:45.367 | + [[ False = True ]] 2015-03-30 16:30:45.367 | + install_horizon 2015-03-30 16:30:45.367 | + install_apache_wsgi 2015-03-30 16:30:45.367 | + is_ubuntu 2015-03-30 16:30:45.367 | + [[ -z deb ]] 2015-03-30 16:30:45.367 | + '[' deb = deb ']' 2015-03-30 16:30:45.367 | + install_package apache2 libapache2-mod-wsgi 2015-03-30 16:30:45.367 | + update_package_repo 2015-03-30 16:30:45.367 | + NO_UPDATE_REPOS=False 2015-03-30 16:30:45.367 | + REPOS_UPDATED=True 2015-03-30 16:30:45.368 | + RETRY_UPDATE=False 2015-03-30 16:30:45.368 | + [[ False = \T\r\u\e ]] 2015-03-30 16:30:45.368 | + is_ubuntu 2015-03-30 16:30:45.368 | + [[ -z deb ]] 2015-03-30 16:30:45.368 | + '[' deb = deb ']' 2015-03-30 16:30:45.370 | + real_install_package apache2 libapache2-mod-wsgi 2015-03-30 16:30:45.370 | + is_ubuntu 2015-03-30 16:30:45.370 | + [[ -z deb ]] 2015-03-30 16:30:45.370 | + '[' deb = deb ']' 2015-03-30 16:30:45.370 | + apt_get install apache2 libapache2-mod-wsgi 2015-03-30 16:30:45.374 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi 2015-03-30 16:30:45.389 | Reading package lists... 2015-03-30 16:30:45.595 | Building dependency tree... 2015-03-30 16:30:45.596 | Reading state information... 2015-03-30 16:30:45.818 | apache2 is already the newest version. 2015-03-30 16:30:45.818 | libapache2-mod-wsgi is already the newest version. 2015-03-30 16:30:45.818 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded. 2015-03-30 16:30:45.819 | + real_install_package apache2 libapache2-mod-wsgi 2015-03-30 16:30:45.819 | + is_ubuntu 2015-03-30 16:30:45.819 | + [[ -z deb ]] 2015-03-30 16:30:45.819 | + '[' deb = deb ']' 2015-03-30 16:30:45.819 | + apt_get install apache2 libapache2-mod-wsgi 2015-03-30 16:30:45.822 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi 2015-03-30 16:30:45.835 | Reading package lists... 2015-03-30 16:30:46.029 | Building dependency tree... 2015-03-30 16:30:46.029 | Reading state information... 2015-03-30 16:30:46.237 | apache2 is already the newest version. 2015-03-30 16:30:46.237 | libapache2-mod-wsgi is already the newest version. 2015-03-30 16:30:46.237 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded. 2015-03-30 16:30:46.238 | + sudo a2enmod wsgi 2015-03-30 16:30:46.264 | Module wsgi already enabled 2015-03-30 16:30:46.265 | + sudo a2enmod version 2015-03-30 16:30:46.292 | ERROR: Module version does not exist! 2015-03-30 16:30:46.293 | + true 2015-03-30 16:30:46.293 | + git_clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon stable/juno 2015-03-30 16:30:46.293 | + local git_remote=git://git.openstack.org/openstack/horizon.git 2015-03-30 16:30:46.293 | + local git_dest=/opt/stack/horizon 2015-03-30 16:30:46.293 | + local git_ref=stable/juno 2015-03-30 16:30:46.293 | ++ pwd 2015-03-30 16:30:46.294 | + local orig_dir=/home/seecs/devstack 2015-03-30 16:30:46.294 | + local git_clone_flags= 2015-03-30 16:30:46.294 | ++ trueorfalse False RECLONE 2015-03-30 16:30:46.296 | + RECLONE=False 2015-03-30 16:30:46.296 | + [[ 0 -gt 0 ]] 2015-03-30 16:30:46.296 | + [[ False = \T\r\u\e ]] 2015-03-30 16:30:46.296 | + echo stable/juno 2015-03-30 16:30:46.297 | + egrep -q '^refs' 2015-03-30 16:30:46.297 | + [[ ! -d /opt/stack/horizon ]] 2015-03-30 16:30:46.297 | + [[ False = \T\r\u\e ]] 2015-03-30 16:30:46.297 | + git_timed clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon 2015-03-30 16:30:46.297 | + local count=0 2015-03-30 16:30:46.297 | + local timeout=0 2015-03-30 16:30:46.297 | + [[ -n 0 ]] 2015-03-30 16:30:46.297 | + timeout=0 2015-03-30 16:30:46.297 | + timeout -s SIGINT 0 git clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon 2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'... 2015-03-30 16:34:04.667 | + cd /opt/stack/horizon 2015-03-30 16:34:04.667 | + git checkout stable/juno 2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno' 2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin. 2015-03-30 16:34:04.861 | + cd /opt/stack/horizon 2015-03-30 16:34:04.862 | + git show --oneline 2015-03-30 16:34:04.864 | + head -1 2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages 2015-03-30 16:34:04.865 | + cd /home/seecs/devstack 2015-03-30 16:34:04.865 | + [[ False = True ]] 2015-03-30 16:34:04.865 | + configure_horizon 2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon 2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon 2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e 2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon 2015-03-30 16:34:04.865 | + local flags=-e 2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon 2015-03-30 16:34:04.866 | ++ git diff --exit-code 2015-03-30 16:34:04.916 | + local update_requirements= 2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]] 2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]] 2015-03-30 16:34:04.916 | + cd /opt/stack/requirements 2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon 2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is not in global-requirements.txt 2015-03-30 16:34:05.110 | + exit_trap 2015-03-30 16:34:05.110 | + local r=1 2015-03-30 16:34:05.110 | ++ jobs -p 2015-03-30 16:34:05.110 | + jobs= 2015-03-30 16:34:05.110 | + [[ -n '' ]] 2015-03-30 16:34:05.110 | + kill_spinner 2015-03-30 16:34:05.110 | + '[' '!' -z '' ']' 2015-03-30 16:34:05.110 | + [[ 1 -ne 0 ]] 2015-03-30 16:34:05.111 | + echo 'Error on exit' 2015-03-30 16:34:05.111 | Error on exit 2015-03-30 16:34:05.111 | + [[ -z /tmp/logs ]] 2015-03-30 16:34:05.111 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs 2015-03-30 16:34:05.139 | + exit 1

devstack juno installation error

2015-03-30 16:30:45.232 | + [[ -r /home/seecs/devstack/lib/nova_plugins/hypervisor-libvirt ]]
2015-03-30 16:30:45.232 | + configure_nova_hypervisor
2015-03-30 16:30:45.232 | + configure_libvirt
2015-03-30 16:30:45.232 | + is_service_enabled neutron
2015-03-30 16:30:45.235 | + return 0
2015-03-30 16:30:45.235 | + is_neutron_ovs_base_plugin
2015-03-30 16:30:45.236 | + return 0
2015-03-30 16:30:45.236 | + sudo grep -q '^cgroup_device_acl' /etc/libvirt/qemu.conf
2015-03-30 16:30:45.243 | + cat
2015-03-30 16:30:45.244 | + sudo tee -a /etc/libvirt/qemu.conf
2015-03-30 16:30:45.250 | cgroup_device_acl = [
2015-03-30 16:30:45.250 |     "/dev/null", "/dev/full", "/dev/zero",
2015-03-30 16:30:45.250 |     "/dev/random", "/dev/urandom",
2015-03-30 16:30:45.250 |     "/dev/ptmx", "/dev/kvm", "/dev/kqemu",
2015-03-30 16:30:45.250 |     "/dev/rtc", "/dev/hpet","/dev/net/tun",
2015-03-30 16:30:45.250 | ]
2015-03-30 16:30:45.250 | + is_ubuntu
2015-03-30 16:30:45.250 | + [[ -z deb ]]
2015-03-30 16:30:45.250 | + '[' deb = deb ']'
2015-03-30 16:30:45.250 | + '[' '!' -f /etc/init.d/libvirtd ']'
2015-03-30 16:30:45.250 | + LIBVIRT_DAEMON=libvirt-bin
2015-03-30 16:30:45.250 | + is_fedora
2015-03-30 16:30:45.250 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.250 | + '[' Ubuntu = Fedora ']'
2015-03-30 16:30:45.250 | + '[' Ubuntu = 'Red Hat' ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = CentOS ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = OracleLinux ']'
2015-03-30 16:30:45.251 | + is_suse
2015-03-30 16:30:45.251 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.251 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.251 | + getent group libvirtd
2015-03-30 16:30:45.252 | + add_user_to_group seecs libvirtd
2015-03-30 16:30:45.252 | + local user=seecs
2015-03-30 16:30:45.252 | + local group=libvirtd
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + is_suse
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.252 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.252 | + sudo usermod -a -G libvirtd seecs
2015-03-30 16:30:45.259 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.259 | + restart_service libvirt-bin
2015-03-30 16:30:45.259 | + is_ubuntu
2015-03-30 16:30:45.259 | + [[ -z deb ]]
2015-03-30 16:30:45.259 | + '[' deb = deb ']'
2015-03-30 16:30:45.259 | + sudo /usr/sbin/service libvirt-bin restart
2015-03-30 16:30:45.277 | libvirt-bin stop/waiting
2015-03-30 16:30:45.294 | libvirt-bin start/running, process 14823
2015-03-30 16:30:45.295 | + iniset /etc/nova/nova.conf libvirt virt_type kvm
2015-03-30 16:30:45.302 | + iniset /etc/nova/nova.conf libvirt cpu_mode none
2015-03-30 16:30:45.309 | + iniset /etc/nova/nova.conf libvirt use_usb_tablet False
2015-03-30 16:30:45.315 | + iniset /etc/nova/nova.conf libvirt live_migration_uri qemu+ssh://seecs@%s/system
2015-03-30 16:30:45.321 | + iniset /etc/nova/nova.conf DEFAULT default_ephemeral_format ext4
2015-03-30 16:30:45.330 | + iniset /etc/nova/nova.conf DEFAULT compute_driver libvirt.LibvirtDriver
2015-03-30 16:30:45.341 | + LIBVIRT_FIREWALL_DRIVER=nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.341 | + iniset /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.351 | + is_arch ppc64
2015-03-30 16:30:45.352 | ++ uname -m
2015-03-30 16:30:45.353 | + [[ x86_64 == \p\p\c\6\4 ]]
2015-03-30 16:30:45.353 | ++ trueorfalse False ENABLE_FILE_INJECTION
2015-03-30 16:30:45.356 | + ENABLE_FILE_INJECTION=False
2015-03-30 16:30:45.356 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.356 | + iniset /etc/nova/nova.conf libvirt inject_partition -2
2015-03-30 16:30:45.365 | + [[ kvm = \p\a\r\a\l\l\e\l\s ]]
2015-03-30 16:30:45.365 | + is_service_enabled horizon
2015-03-30 16:30:45.367 | + return 0
2015-03-30 16:30:45.367 | + install_django_openstack_auth
2015-03-30 16:30:45.367 | + use_library_from_git django_openstack_auth
2015-03-30 16:30:45.367 | + local name=django_openstack_auth
2015-03-30 16:30:45.367 | + local enabled=1
2015-03-30 16:30:45.367 | + [[ ,, =~ ,django_openstack_auth, ]]
2015-03-30 16:30:45.367 | + return 1
2015-03-30 16:30:45.367 | + stack_install_service horizon
2015-03-30 16:30:45.367 | + local service=horizon
2015-03-30 16:30:45.367 | + type install_horizon
2015-03-30 16:30:45.367 | + [[ False = True ]]
2015-03-30 16:30:45.367 | + install_horizon
2015-03-30 16:30:45.367 | + install_apache_wsgi
2015-03-30 16:30:45.367 | + is_ubuntu
2015-03-30 16:30:45.367 | + [[ -z deb ]]
2015-03-30 16:30:45.367 | + '[' deb = deb ']'
2015-03-30 16:30:45.367 | + install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.367 | + update_package_repo
2015-03-30 16:30:45.367 | + NO_UPDATE_REPOS=False
2015-03-30 16:30:45.367 | + REPOS_UPDATED=True
2015-03-30 16:30:45.368 | + RETRY_UPDATE=False
2015-03-30 16:30:45.368 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.368 | + is_ubuntu
2015-03-30 16:30:45.368 | + [[ -z deb ]]
2015-03-30 16:30:45.368 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.370 | + is_ubuntu
2015-03-30 16:30:45.370 | + [[ -z deb ]]
2015-03-30 16:30:45.370 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.374 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.389 | Reading package lists...
2015-03-30 16:30:45.595 | Building dependency tree...
2015-03-30 16:30:45.596 | Reading state information...
2015-03-30 16:30:45.818 | apache2 is already the newest version.
2015-03-30 16:30:45.818 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:45.818 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:45.819 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.819 | + is_ubuntu
2015-03-30 16:30:45.819 | + [[ -z deb ]]
2015-03-30 16:30:45.819 | + '[' deb = deb ']'
2015-03-30 16:30:45.819 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.822 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.835 | Reading package lists...
2015-03-30 16:30:46.029 | Building dependency tree...
2015-03-30 16:30:46.029 | Reading state information...
2015-03-30 16:30:46.237 | apache2 is already the newest version.
2015-03-30 16:30:46.237 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:46.237 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:46.238 | + sudo a2enmod wsgi
2015-03-30 16:30:46.264 | Module wsgi already enabled
2015-03-30 16:30:46.265 | + sudo a2enmod version
2015-03-30 16:30:46.292 | ERROR: Module version does not exist!
2015-03-30 16:30:46.293 | + true
2015-03-30 16:30:46.293 | + git_clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon stable/juno
2015-03-30 16:30:46.293 | + local git_remote=git://git.openstack.org/openstack/horizon.git
2015-03-30 16:30:46.293 | + local git_dest=/opt/stack/horizon
2015-03-30 16:30:46.293 | + local git_ref=stable/juno
2015-03-30 16:30:46.293 | ++ pwd
2015-03-30 16:30:46.294 | + local orig_dir=/home/seecs/devstack
2015-03-30 16:30:46.294 | + local git_clone_flags=
2015-03-30 16:30:46.294 | ++ trueorfalse False RECLONE
2015-03-30 16:30:46.296 | + RECLONE=False
2015-03-30 16:30:46.296 | + [[ 0 -gt 0 ]]
2015-03-30 16:30:46.296 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.296 | + echo stable/juno
2015-03-30 16:30:46.297 | + egrep -q '^refs'
2015-03-30 16:30:46.297 | + [[ ! -d /opt/stack/horizon ]]
2015-03-30 16:30:46.297 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.297 | + git_timed clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.297 | + local count=0
2015-03-30 16:30:46.297 | + local timeout=0
2015-03-30 16:30:46.297 | + [[ -n 0 ]]
2015-03-30 16:30:46.297 | + timeout=0
2015-03-30 16:30:46.297 | + timeout -s SIGINT 0 git clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'...
2015-03-30 16:34:04.667 | + cd /opt/stack/horizon
2015-03-30 16:34:04.667 | + git checkout stable/juno
2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno'
2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin.
2015-03-30 16:34:04.861 | + cd /opt/stack/horizon
2015-03-30 16:34:04.862 | + git show --oneline
2015-03-30 16:34:04.864 | + head -1
2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages
2015-03-30 16:34:04.865 | + cd /home/seecs/devstack
2015-03-30 16:34:04.865 | + [[ False = True ]]
2015-03-30 16:34:04.865 | + configure_horizon
2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + local flags=-e
2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon
2015-03-30 16:34:04.866 | ++ git diff --exit-code
2015-03-30 16:34:04.916 | + local update_requirements=
2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]]
2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]]
2015-03-30 16:34:04.916 | + cd /opt/stack/requirements
2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon
2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is not in global-requirements.txt
2015-03-30 16:34:05.110 | + exit_trap
2015-03-30 16:34:05.110 | + local r=1
2015-03-30 16:34:05.110 | ++ jobs -p
2015-03-30 16:34:05.110 | + jobs=
2015-03-30 16:34:05.110 | + [[ -n '' ]]
2015-03-30 16:34:05.110 | + kill_spinner
2015-03-30 16:34:05.110 | + '[' '!' -z '' ']'
2015-03-30 16:34:05.110 | + [[ 1 -ne 0 ]]
2015-03-30 16:34:05.111 | + echo 'Error on exit'
2015-03-30 16:34:05.111 | Error on exit
2015-03-30 16:34:05.111 | + [[ -z /tmp/logs ]]
2015-03-30 16:34:05.111 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs
2015-03-30 16:34:05.139 | + exit 1

1

devstack juno installation error

2015-03-30 16:30:45.232 | + [[ -r /home/seecs/devstack/lib/nova_plugins/hypervisor-libvirt ]]
2015-03-30 16:30:45.232 | + configure_nova_hypervisor
2015-03-30 16:30:45.232 | + configure_libvirt
2015-03-30 16:30:45.232 | + is_service_enabled neutron
2015-03-30 16:30:45.235 | + return 0
2015-03-30 16:30:45.235 | + is_neutron_ovs_base_plugin
2015-03-30 16:30:45.236 | + return 0
2015-03-30 16:30:45.236 | + sudo grep -q '^cgroup_device_acl' /etc/libvirt/qemu.conf
2015-03-30 16:30:45.243 | + cat
2015-03-30 16:30:45.244 | + sudo tee -a /etc/libvirt/qemu.conf
2015-03-30 16:30:45.250 | cgroup_device_acl = [
2015-03-30 16:30:45.250 |     "/dev/null", "/dev/full", "/dev/zero",
2015-03-30 16:30:45.250 |     "/dev/random", "/dev/urandom",
2015-03-30 16:30:45.250 |     "/dev/ptmx", "/dev/kvm", "/dev/kqemu",
2015-03-30 16:30:45.250 |     "/dev/rtc", "/dev/hpet","/dev/net/tun",
2015-03-30 16:30:45.250 | ]
2015-03-30 16:30:45.250 | + is_ubuntu
2015-03-30 16:30:45.250 | + [[ -z deb ]]
2015-03-30 16:30:45.250 | + '[' deb = deb ']'
2015-03-30 16:30:45.250 | + '[' '!' -f /etc/init.d/libvirtd ']'
2015-03-30 16:30:45.250 | + LIBVIRT_DAEMON=libvirt-bin
2015-03-30 16:30:45.250 | + is_fedora
2015-03-30 16:30:45.250 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.250 | + '[' Ubuntu = Fedora ']'
2015-03-30 16:30:45.250 | + '[' Ubuntu = 'Red Hat' ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = CentOS ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = OracleLinux ']'
2015-03-30 16:30:45.251 | + is_suse
2015-03-30 16:30:45.251 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.251 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.251 | + getent group libvirtd
2015-03-30 16:30:45.252 | + add_user_to_group seecs libvirtd
2015-03-30 16:30:45.252 | + local user=seecs
2015-03-30 16:30:45.252 | + local group=libvirtd
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + is_suse
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.252 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.252 | + sudo usermod -a -G libvirtd seecs
2015-03-30 16:30:45.259 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.259 | + restart_service libvirt-bin
2015-03-30 16:30:45.259 | + is_ubuntu
2015-03-30 16:30:45.259 | + [[ -z deb ]]
2015-03-30 16:30:45.259 | + '[' deb = deb ']'
2015-03-30 16:30:45.259 | + sudo /usr/sbin/service libvirt-bin restart
2015-03-30 16:30:45.277 | libvirt-bin stop/waiting
2015-03-30 16:30:45.294 | libvirt-bin start/running, process 14823
2015-03-30 16:30:45.295 | + iniset /etc/nova/nova.conf libvirt virt_type kvm
2015-03-30 16:30:45.302 | + iniset /etc/nova/nova.conf libvirt cpu_mode none
2015-03-30 16:30:45.309 | + iniset /etc/nova/nova.conf libvirt use_usb_tablet False
2015-03-30 16:30:45.315 | + iniset /etc/nova/nova.conf libvirt live_migration_uri qemu+ssh://seecs@%s/system
2015-03-30 16:30:45.321 | + iniset /etc/nova/nova.conf DEFAULT default_ephemeral_format ext4
2015-03-30 16:30:45.330 | + iniset /etc/nova/nova.conf DEFAULT compute_driver libvirt.LibvirtDriver
2015-03-30 16:30:45.341 | + LIBVIRT_FIREWALL_DRIVER=nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.341 | + iniset /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.351 | + is_arch ppc64
2015-03-30 16:30:45.352 | ++ uname -m
2015-03-30 16:30:45.353 | + [[ x86_64 == \p\p\c\6\4 ]]
2015-03-30 16:30:45.353 | ++ trueorfalse False ENABLE_FILE_INJECTION
2015-03-30 16:30:45.356 | + ENABLE_FILE_INJECTION=False
2015-03-30 16:30:45.356 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.356 | + iniset /etc/nova/nova.conf libvirt inject_partition -2
2015-03-30 16:30:45.365 | + [[ kvm = \p\a\r\a\l\l\e\l\s ]]
2015-03-30 16:30:45.365 | + is_service_enabled horizon
2015-03-30 16:30:45.367 | + return 0
2015-03-30 16:30:45.367 | + install_django_openstack_auth
2015-03-30 16:30:45.367 | + use_library_from_git django_openstack_auth
2015-03-30 16:30:45.367 | + local name=django_openstack_auth
2015-03-30 16:30:45.367 | + local enabled=1
2015-03-30 16:30:45.367 | + [[ ,, =~ ,django_openstack_auth, ]]
2015-03-30 16:30:45.367 | + return 1
2015-03-30 16:30:45.367 | + stack_install_service horizon
2015-03-30 16:30:45.367 | + local service=horizon
2015-03-30 16:30:45.367 | + type install_horizon
2015-03-30 16:30:45.367 | + [[ False = True ]]
2015-03-30 16:30:45.367 | + install_horizon
2015-03-30 16:30:45.367 | + install_apache_wsgi
2015-03-30 16:30:45.367 | + is_ubuntu
2015-03-30 16:30:45.367 | + [[ -z deb ]]
2015-03-30 16:30:45.367 | + '[' deb = deb ']'
2015-03-30 16:30:45.367 | + install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.367 | + update_package_repo
2015-03-30 16:30:45.367 | + NO_UPDATE_REPOS=False
2015-03-30 16:30:45.367 | + REPOS_UPDATED=True
2015-03-30 16:30:45.368 | + RETRY_UPDATE=False
2015-03-30 16:30:45.368 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.368 | + is_ubuntu
2015-03-30 16:30:45.368 | + [[ -z deb ]]
2015-03-30 16:30:45.368 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.370 | + is_ubuntu
2015-03-30 16:30:45.370 | + [[ -z deb ]]
2015-03-30 16:30:45.370 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.374 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.389 | Reading package lists...
2015-03-30 16:30:45.595 | Building dependency tree...
2015-03-30 16:30:45.596 | Reading state information...
2015-03-30 16:30:45.818 | apache2 is already the newest version.
2015-03-30 16:30:45.818 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:45.818 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:45.819 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.819 | + is_ubuntu
2015-03-30 16:30:45.819 | + [[ -z deb ]]
2015-03-30 16:30:45.819 | + '[' deb = deb ']'
2015-03-30 16:30:45.819 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.822 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.835 | Reading package lists...
2015-03-30 16:30:46.029 | Building dependency tree...
2015-03-30 16:30:46.029 | Reading state information...
2015-03-30 16:30:46.237 | apache2 is already the newest version.
2015-03-30 16:30:46.237 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:46.237 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:46.238 | + sudo a2enmod wsgi
2015-03-30 16:30:46.264 | Module wsgi already enabled
2015-03-30 16:30:46.265 | + sudo a2enmod version
2015-03-30 16:30:46.292 | ERROR: Module version does not exist!
2015-03-30 16:30:46.293 | + true
2015-03-30 16:30:46.293 | + git_clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon stable/juno
2015-03-30 16:30:46.293 | + local git_remote=git://git.openstack.org/openstack/horizon.git
2015-03-30 16:30:46.293 | + local git_dest=/opt/stack/horizon
2015-03-30 16:30:46.293 | + local git_ref=stable/juno
2015-03-30 16:30:46.293 | ++ pwd
2015-03-30 16:30:46.294 | + local orig_dir=/home/seecs/devstack
2015-03-30 16:30:46.294 | + local git_clone_flags=
2015-03-30 16:30:46.294 | ++ trueorfalse False RECLONE
2015-03-30 16:30:46.296 | + RECLONE=False
2015-03-30 16:30:46.296 | + [[ 0 -gt 0 ]]
2015-03-30 16:30:46.296 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.296 | + echo stable/juno
2015-03-30 16:30:46.297 | + egrep -q '^refs'
2015-03-30 16:30:46.297 | + [[ ! -d /opt/stack/horizon ]]
2015-03-30 16:30:46.297 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.297 | + git_timed clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.297 | + local count=0
2015-03-30 16:30:46.297 | + local timeout=0
2015-03-30 16:30:46.297 | + [[ -n 0 ]]
2015-03-30 16:30:46.297 | + timeout=0
2015-03-30 16:30:46.297 | + timeout -s SIGINT 0 git clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'...
2015-03-30 16:34:04.667 | + cd /opt/stack/horizon
2015-03-30 16:34:04.667 | + git checkout stable/juno
2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno'
2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin.
2015-03-30 16:34:04.861 | + cd /opt/stack/horizon
2015-03-30 16:34:04.862 | + git show --oneline
2015-03-30 16:34:04.864 | + head -1
2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages
2015-03-30 16:34:04.865 | + cd /home/seecs/devstack
2015-03-30 16:34:04.865 | + [[ False = True ]]
2015-03-30 16:34:04.865 | + configure_horizon
2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + local flags=-e
2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon
2015-03-30 16:34:04.866 | ++ git diff --exit-code
2015-03-30 16:34:04.916 | + local update_requirements=
2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]]
2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]]
2015-03-30 16:34:04.916 | + cd /opt/stack/requirements
2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon
2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is not in global-requirements.txt
2015-03-30 16:34:05.110 | + exit_trap
2015-03-30 16:34:05.110 | + local r=1
2015-03-30 16:34:05.110 | ++ jobs -p
2015-03-30 16:34:05.110 | + jobs=
2015-03-30 16:34:05.110 | + [[ -n '' ]]
2015-03-30 16:34:05.110 | + kill_spinner
2015-03-30 16:34:05.110 | + '[' '!' -z '' ']'
2015-03-30 16:34:05.110 | + [[ 1 -ne 0 ]]
2015-03-30 16:34:05.111 | + echo 'Error on exit'
2015-03-30 16:34:05.111 | Error on exit
2015-03-30 16:34:05.111 | + [[ -z /tmp/logs ]]
2015-03-30 16:34:05.111 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs
2015-03-30 16:34:05.139 | + exit 1

devstack juno installation errorerror ImportError: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies

2015-03-30 16:30:45.232 | + [[ -r /home/seecs/devstack/lib/nova_plugins/hypervisor-libvirt ]]
2015-03-30 16:30:45.232 | + configure_nova_hypervisor
2015-03-30 16:30:45.232 | + configure_libvirt
2015-03-30 16:30:45.232 | + is_service_enabled neutron
2015-03-30 16:30:45.235 | + return 0
2015-03-30 16:30:45.235 | + is_neutron_ovs_base_plugin
2015-03-30 16:30:45.236 | + return 0
2015-03-30 16:30:45.236 | + sudo grep -q '^cgroup_device_acl' /etc/libvirt/qemu.conf
2015-03-30 16:30:45.243 | + cat
2015-03-30 16:30:45.244 | + sudo tee -a /etc/libvirt/qemu.conf
2015-03-30 16:30:45.250 | cgroup_device_acl = [
2015-03-30 16:30:45.250 |     "/dev/null", "/dev/full", "/dev/zero",
2015-03-30 16:30:45.250 |     "/dev/random", "/dev/urandom",
2015-03-30 16:30:45.250 |     "/dev/ptmx", "/dev/kvm", "/dev/kqemu",
2015-03-30 16:30:45.250 |     "/dev/rtc", "/dev/hpet","/dev/net/tun",
2015-03-30 16:30:45.250 | ]
2015-03-30 16:30:45.250 | + is_ubuntu
2015-03-30 16:30:45.250 | + [[ -z deb ]]
2015-03-30 16:30:45.250 | + '[' deb = deb ']'
2015-03-30 16:30:45.250 | + '[' '!' -f /etc/init.d/libvirtd ']'
2015-03-30 16:30:45.250 | + LIBVIRT_DAEMON=libvirt-bin
2015-03-30 16:30:45.250 | + is_fedora
2015-03-30 16:30:45.250 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.250 | + '[' Ubuntu = Fedora ']'
2015-03-30 16:30:45.250 | + '[' Ubuntu = 'Red Hat' ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = CentOS ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = OracleLinux ']'
2015-03-30 16:30:45.251 | + is_suse
2015-03-30 16:30:45.251 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.251 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.251 | + getent group libvirtd
2015-03-30 16:30:45.252 | + add_user_to_group seecs libvirtd
2015-03-30 16:30:45.252 | + local user=seecs
2015-03-30 16:30:45.252 | + local group=libvirtd
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + is_suse
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.252 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.252 | + sudo usermod -a -G libvirtd seecs
2015-03-30 16:30:45.259 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.259 | + restart_service libvirt-bin
2015-03-30 16:30:45.259 | + is_ubuntu
2015-03-30 16:30:45.259 | + [[ -z deb ]]
2015-03-30 16:30:45.259 | + '[' deb = deb ']'
2015-03-30 16:30:45.259 | + sudo /usr/sbin/service libvirt-bin restart
2015-03-30 16:30:45.277 | libvirt-bin stop/waiting
2015-03-30 16:30:45.294 | libvirt-bin start/running, process 14823
2015-03-30 16:30:45.295 | + iniset /etc/nova/nova.conf libvirt virt_type kvm
2015-03-30 16:30:45.302 | + iniset /etc/nova/nova.conf libvirt cpu_mode none
2015-03-30 16:30:45.309 | + iniset /etc/nova/nova.conf libvirt use_usb_tablet False
2015-03-30 16:30:45.315 | + iniset /etc/nova/nova.conf libvirt live_migration_uri qemu+ssh://seecs@%s/system
2015-03-30 16:30:45.321 | + iniset /etc/nova/nova.conf DEFAULT default_ephemeral_format ext4
2015-03-30 16:30:45.330 | + iniset /etc/nova/nova.conf DEFAULT compute_driver libvirt.LibvirtDriver
2015-03-30 16:30:45.341 | + LIBVIRT_FIREWALL_DRIVER=nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.341 | + iniset /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.351 | + is_arch ppc64
2015-03-30 16:30:45.352 | ++ uname -m
2015-03-30 16:30:45.353 | + [[ x86_64 == \p\p\c\6\4 ]]
2015-03-30 16:30:45.353 | ++ trueorfalse False ENABLE_FILE_INJECTION
2015-03-30 16:30:45.356 | + ENABLE_FILE_INJECTION=False
2015-03-30 16:30:45.356 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.356 | + iniset /etc/nova/nova.conf libvirt inject_partition -2
2015-03-30 16:30:45.365 | + [[ kvm = \p\a\r\a\l\l\e\l\s ]]
2015-03-30 16:30:45.365 | + is_service_enabled horizon
2015-03-30 16:30:45.367 | + return 0
2015-03-30 16:30:45.367 | + install_django_openstack_auth
2015-03-30 16:30:45.367 | + use_library_from_git django_openstack_auth
2015-03-30 16:30:45.367 | + local name=django_openstack_auth
2015-03-30 16:30:45.367 | + local enabled=1
2015-03-30 16:30:45.367 | + [[ ,, =~ ,django_openstack_auth, ]]
2015-03-30 16:30:45.367 | + return 1
2015-03-30 16:30:45.367 | + stack_install_service horizon
2015-03-30 16:30:45.367 | + local service=horizon
2015-03-30 16:30:45.367 | + type install_horizon
2015-03-30 16:30:45.367 | + [[ False = True ]]
2015-03-30 16:30:45.367 | + install_horizon
2015-03-30 16:30:45.367 | + install_apache_wsgi
2015-03-30 16:30:45.367 | + is_ubuntu
2015-03-30 16:30:45.367 | + [[ -z deb ]]
2015-03-30 16:30:45.367 | + '[' deb = deb ']'
2015-03-30 16:30:45.367 | + install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.367 | + update_package_repo
2015-03-30 16:30:45.367 | + NO_UPDATE_REPOS=False
2015-03-30 16:30:45.367 | + REPOS_UPDATED=True
2015-03-30 16:30:45.368 | + RETRY_UPDATE=False
2015-03-30 16:30:45.368 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.368 | + is_ubuntu
2015-03-30 16:30:45.368 | + [[ -z deb ]]
2015-03-30 16:30:45.368 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.370 | + is_ubuntu
2015-03-30 16:30:45.370 | + [[ -z deb ]]
2015-03-30 16:30:45.370 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.374 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.389 | Reading package lists...
2015-03-30 16:30:45.595 | Building dependency tree...
2015-03-30 16:30:45.596 | Reading state information...
2015-03-30 16:30:45.818 | apache2 is already the newest version.
2015-03-30 16:30:45.818 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:45.818 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:45.819 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.819 | + is_ubuntu
2015-03-30 16:30:45.819 | + [[ -z deb ]]
2015-03-30 16:30:45.819 | + '[' deb = deb ']'
2015-03-30 16:30:45.819 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.822 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.835 | Reading package lists...
2015-03-30 16:30:46.029 | Building dependency tree...
2015-03-30 16:30:46.029 | Reading state information...
2015-03-30 16:30:46.237 | apache2 is already the newest version.
2015-03-30 16:30:46.237 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:46.237 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:46.238 | + sudo a2enmod wsgi
2015-03-30 16:30:46.264 | Module wsgi already enabled
2015-03-30 16:30:46.265 | + sudo a2enmod version
2015-03-30 16:30:46.292 | ERROR: Module version does not exist!
2015-03-30 16:30:46.293 | + true
2015-03-30 16:30:46.293 | + git_clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon stable/juno
2015-03-30 16:30:46.293 | + local git_remote=git://git.openstack.org/openstack/horizon.git
2015-03-30 16:30:46.293 | + local git_dest=/opt/stack/horizon
2015-03-30 16:30:46.293 | + local git_ref=stable/juno
2015-03-30 16:30:46.293 | ++ pwd
2015-03-30 16:30:46.294 | + local orig_dir=/home/seecs/devstack
2015-03-30 16:30:46.294 | + local git_clone_flags=
2015-03-30 16:30:46.294 | ++ trueorfalse False RECLONE
2015-03-30 16:30:46.296 | + RECLONE=False
2015-03-30 16:30:46.296 | + [[ 0 -gt 0 ]]
2015-03-30 16:30:46.296 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.296 | + echo stable/juno
2015-03-30 16:30:46.297 | + egrep -q '^refs'
2015-03-30 16:30:46.297 | + [[ ! -d /opt/stack/horizon ]]
2015-03-30 16:30:46.297 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.297 | + git_timed clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.297 | + local count=0
2015-03-30 16:30:46.297 | + local timeout=0
2015-03-30 16:30:46.297 | + [[ -n 0 ]]
2015-03-30 16:30:46.297 | + timeout=0
2015-03-30 16:30:46.297 | + timeout -s SIGINT 0 git clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'...
2015-03-30 16:34:04.667 | + cd /opt/stack/horizon
2015-03-30 16:34:04.667 | + git checkout stable/juno
2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno'
2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin.
2015-03-30 16:34:04.861 | + cd /opt/stack/horizon
2015-03-30 16:34:04.862 | + git show --oneline
2015-03-30 16:34:04.864 | + head -1
2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages
2015-03-30 16:34:04.865 | + cd /home/seecs/devstack
2015-03-30 16:34:04.865 | + [[ False = True ]]
2015-03-30 16:34:04.865 | + configure_horizon
2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + local flags=-e
2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon
2015-03-30 16:34:04.866 | ++ git diff --exit-code
2015-03-30 16:34:04.916 | + local update_requirements=
2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]]
2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]]
2015-03-30 16:34:04.916 | + cd /opt/stack/requirements
2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon
2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is not in global-requirements.txt
2015-03-30 16:34:05.110 | + exit_trap
2015-03-30 16:34:05.110 | + local r=1
2015-03-30 16:34:05.110 | ++ jobs -p
2015-03-30 16:34:05.110 | + jobs=
2015-03-30 16:34:05.110 | + [[ -n '' ]]
2015-03-30 16:34:05.110 | + kill_spinner
2015-03-30 16:34:05.110 | + '[' '!' -z '' ']'
2015-03-30 16:34:05.110 | + [[ 1 -ne 0 ]]
2015-03-30 16:34:05.111 | + echo 'Error on exit'
2015-03-30 16:34:05.111 | Error on exit
2015-03-30 16:34:05.111 | + [[ -z /tmp/logs ]]
2015-03-30 16:34:05.111 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs
2015-03-30 16:34:05.139 | + exit 1

Getting error while installing devstack juno release ./stack.sh " installation error ImportError: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies

2015-03-30 16:30:45.232 | + [[ -r /home/seecs/devstack/lib/nova_plugins/hypervisor-libvirt ]]
2015-03-30 16:30:45.232 | + configure_nova_hypervisor
2015-03-30 16:30:45.232 | + configure_libvirt
2015-03-30 16:30:45.232 | + is_service_enabled neutron
2015-03-30 16:30:45.235 | + return 0
2015-03-30 16:30:45.235 | + is_neutron_ovs_base_plugin
2015-03-30 16:30:45.236 | + return 0
2015-03-30 16:30:45.236 | + sudo grep -q '^cgroup_device_acl' /etc/libvirt/qemu.conf
2015-03-30 16:30:45.243 | + cat
2015-03-30 16:30:45.244 | + sudo tee -a /etc/libvirt/qemu.conf
2015-03-30 16:30:45.250 | cgroup_device_acl = [
2015-03-30 16:30:45.250 |     "/dev/null", "/dev/full", "/dev/zero",
2015-03-30 16:30:45.250 |     "/dev/random", "/dev/urandom",
2015-03-30 16:30:45.250 |     "/dev/ptmx", "/dev/kvm", "/dev/kqemu",
2015-03-30 16:30:45.250 |     "/dev/rtc", "/dev/hpet","/dev/net/tun",
2015-03-30 16:30:45.250 | ]
2015-03-30 16:30:45.250 | + is_ubuntu
2015-03-30 16:30:45.250 | + [[ -z deb ]]
2015-03-30 16:30:45.250 | + '[' deb = deb ']'
2015-03-30 16:30:45.250 | + '[' '!' -f /etc/init.d/libvirtd ']'
2015-03-30 16:30:45.250 | + LIBVIRT_DAEMON=libvirt-bin
2015-03-30 16:30:45.250 | + is_fedora
2015-03-30 16:30:45.250 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.250 | + '[' Ubuntu = Fedora ']'
2015-03-30 16:30:45.250 | + '[' Ubuntu = 'Red Hat' ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = CentOS ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = OracleLinux ']'
2015-03-30 16:30:45.251 | + is_suse
2015-03-30 16:30:45.251 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.251 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.251 | + getent group libvirtd
2015-03-30 16:30:45.252 | + add_user_to_group seecs libvirtd
2015-03-30 16:30:45.252 | + local user=seecs
2015-03-30 16:30:45.252 | + local group=libvirtd
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + is_suse
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.252 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.252 | + sudo usermod -a -G libvirtd seecs
2015-03-30 16:30:45.259 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.259 | + restart_service libvirt-bin
2015-03-30 16:30:45.259 | + is_ubuntu
2015-03-30 16:30:45.259 | + [[ -z deb ]]
2015-03-30 16:30:45.259 | + '[' deb = deb ']'
2015-03-30 16:30:45.259 | + sudo /usr/sbin/service libvirt-bin restart
2015-03-30 16:30:45.277 | libvirt-bin stop/waiting
2015-03-30 16:30:45.294 | libvirt-bin start/running, process 14823
2015-03-30 16:30:45.295 | + iniset /etc/nova/nova.conf libvirt virt_type kvm
2015-03-30 16:30:45.302 | + iniset /etc/nova/nova.conf libvirt cpu_mode none
2015-03-30 16:30:45.309 | + iniset /etc/nova/nova.conf libvirt use_usb_tablet False
2015-03-30 16:30:45.315 | + iniset /etc/nova/nova.conf libvirt live_migration_uri qemu+ssh://seecs@%s/system
2015-03-30 16:30:45.321 | + iniset /etc/nova/nova.conf DEFAULT default_ephemeral_format ext4
2015-03-30 16:30:45.330 | + iniset /etc/nova/nova.conf DEFAULT compute_driver libvirt.LibvirtDriver
2015-03-30 16:30:45.341 | + LIBVIRT_FIREWALL_DRIVER=nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.341 | + iniset /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.351 | + is_arch ppc64
2015-03-30 16:30:45.352 | ++ uname -m
2015-03-30 16:30:45.353 | + [[ x86_64 == \p\p\c\6\4 ]]
2015-03-30 16:30:45.353 | ++ trueorfalse False ENABLE_FILE_INJECTION
2015-03-30 16:30:45.356 | + ENABLE_FILE_INJECTION=False
2015-03-30 16:30:45.356 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.356 | + iniset /etc/nova/nova.conf libvirt inject_partition -2
2015-03-30 16:30:45.365 | + [[ kvm = \p\a\r\a\l\l\e\l\s ]]
2015-03-30 16:30:45.365 | + is_service_enabled horizon
2015-03-30 16:30:45.367 | + return 0
2015-03-30 16:30:45.367 | + install_django_openstack_auth
2015-03-30 16:30:45.367 | + use_library_from_git django_openstack_auth
2015-03-30 16:30:45.367 | + local name=django_openstack_auth
2015-03-30 16:30:45.367 | + local enabled=1
2015-03-30 16:30:45.367 | + [[ ,, =~ ,django_openstack_auth, ]]
2015-03-30 16:30:45.367 | + return 1
2015-03-30 16:30:45.367 | + stack_install_service horizon
2015-03-30 16:30:45.367 | + local service=horizon
2015-03-30 16:30:45.367 | + type install_horizon
2015-03-30 16:30:45.367 | + [[ False = True ]]
2015-03-30 16:30:45.367 | + install_horizon
2015-03-30 16:30:45.367 | + install_apache_wsgi
2015-03-30 16:30:45.367 | + is_ubuntu
2015-03-30 16:30:45.367 | + [[ -z deb ]]
2015-03-30 16:30:45.367 | + '[' deb = deb ']'
2015-03-30 16:30:45.367 | + install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.367 | + update_package_repo
2015-03-30 16:30:45.367 | + NO_UPDATE_REPOS=False
2015-03-30 16:30:45.367 | + REPOS_UPDATED=True
2015-03-30 16:30:45.368 | + RETRY_UPDATE=False
2015-03-30 16:30:45.368 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.368 | + is_ubuntu
2015-03-30 16:30:45.368 | + [[ -z deb ]]
2015-03-30 16:30:45.368 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.370 | + is_ubuntu
2015-03-30 16:30:45.370 | + [[ -z deb ]]
2015-03-30 16:30:45.370 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.374 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.389 | Reading package lists...
2015-03-30 16:30:45.595 | Building dependency tree...
2015-03-30 16:30:45.596 | Reading state information...
2015-03-30 16:30:45.818 | apache2 is already the newest version.
2015-03-30 16:30:45.818 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:45.818 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:45.819 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.819 | + is_ubuntu
2015-03-30 16:30:45.819 | + [[ -z deb ]]
2015-03-30 16:30:45.819 | + '[' deb = deb ']'
2015-03-30 16:30:45.819 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.822 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.835 | Reading package lists...
2015-03-30 16:30:46.029 | Building dependency tree...
2015-03-30 16:30:46.029 | Reading state information...
2015-03-30 16:30:46.237 | apache2 is already the newest version.
2015-03-30 16:30:46.237 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:46.237 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:46.238 | + sudo a2enmod wsgi
2015-03-30 16:30:46.264 | Module wsgi already enabled
2015-03-30 16:30:46.265 | + sudo a2enmod version
2015-03-30 16:30:46.292 | ERROR: Module version does not exist!
2015-03-30 16:30:46.293 | + true
2015-03-30 16:30:46.293 | + git_clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon stable/juno
2015-03-30 16:30:46.293 | + local git_remote=git://git.openstack.org/openstack/horizon.git
2015-03-30 16:30:46.293 | + local git_dest=/opt/stack/horizon
2015-03-30 16:30:46.293 | + local git_ref=stable/juno
2015-03-30 16:30:46.293 | ++ pwd
2015-03-30 16:30:46.294 | + local orig_dir=/home/seecs/devstack
2015-03-30 16:30:46.294 | + local git_clone_flags=
2015-03-30 16:30:46.294 | ++ trueorfalse False RECLONE
2015-03-30 16:30:46.296 | + RECLONE=False
2015-03-30 16:30:46.296 | + [[ 0 -gt 0 ]]
2015-03-30 16:30:46.296 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.296 | + echo stable/juno
2015-03-30 16:30:46.297 | + egrep -q '^refs'
2015-03-30 16:30:46.297 | + [[ ! -d /opt/stack/horizon ]]
2015-03-30 16:30:46.297 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.297 | + git_timed clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.297 | + local count=0
2015-03-30 16:30:46.297 | + local timeout=0
2015-03-30 16:30:46.297 | + [[ -n 0 ]]
2015-03-30 16:30:46.297 | + timeout=0
2015-03-30 16:30:46.297 | + timeout -s SIGINT 0 git clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'...
2015-03-30 16:34:04.667 | + cd /opt/stack/horizon
2015-03-30 16:34:04.667 | + git checkout stable/juno
2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno'
2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin.
2015-03-30 16:34:04.861 | + cd /opt/stack/horizon
2015-03-30 16:34:04.862 | + git show --oneline
2015-03-30 16:34:04.864 | + head -1
2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages
2015-03-30 16:34:04.865 | + cd /home/seecs/devstack
2015-03-30 16:34:04.865 | + [[ False = True ]]
2015-03-30 16:34:04.865 | + configure_horizon
2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + local flags=-e
2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon
2015-03-30 16:34:04.866 | ++ git diff --exit-code
2015-03-30 16:34:04.916 | + local update_requirements=
2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]]
2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]]
2015-03-30 16:34:04.916 | + cd /opt/stack/requirements
2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon
2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is not in global-requirements.txt
2015-03-30 16:34:05.110 | + exit_trap
2015-03-30 16:34:05.110 | + local r=1
2015-03-30 16:34:05.110 | ++ jobs -p
2015-03-30 16:34:05.110 | + jobs=
2015-03-30 16:34:05.110 | + [[ -n '' ]]
2015-03-30 16:34:05.110 | + kill_spinner
2015-03-30 16:34:05.110 | + '[' '!' -z '' ']'
2015-03-30 16:34:05.110 | + [[ 1 -ne 0 ]]
2015-03-30 16:34:05.111 | + echo 'Error on exit'
2015-03-30 16:34:05.111 | Error on exit
2015-03-30 16:34:05.111 | + [[ -z /tmp/logs ]]
2015-03-30 16:34:05.111 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs
2015-03-30 16:34:05.139 | + exit 1

Getting error while installing devstack juno release ./stack.sh ./stack.sh

" installation error ImportError: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookiesangular_cookies

2015-03-30 16:30:45.232 | + [[ -r /home/seecs/devstack/lib/nova_plugins/hypervisor-libvirt ]]
2015-03-30 16:30:45.232 | + configure_nova_hypervisor
2015-03-30 16:30:45.232 | + configure_libvirt
2015-03-30 16:30:45.232 | + is_service_enabled neutron
2015-03-30 16:30:45.235 | + return 0
2015-03-30 16:30:45.235 | + is_neutron_ovs_base_plugin
2015-03-30 16:30:45.236 | + return 0
2015-03-30 16:30:45.236 | + sudo grep -q '^cgroup_device_acl' /etc/libvirt/qemu.conf
2015-03-30 16:30:45.243 | + cat
2015-03-30 16:30:45.244 | + sudo tee -a /etc/libvirt/qemu.conf
2015-03-30 16:30:45.250 | cgroup_device_acl = [
2015-03-30 16:30:45.250 |     "/dev/null", "/dev/full", "/dev/zero",
2015-03-30 16:30:45.250 |     "/dev/random", "/dev/urandom",
2015-03-30 16:30:45.250 |     "/dev/ptmx", "/dev/kvm", "/dev/kqemu",
2015-03-30 16:30:45.250 |     "/dev/rtc", "/dev/hpet","/dev/net/tun",
2015-03-30 16:30:45.250 | ]
2015-03-30 16:30:45.250 | + is_ubuntu
2015-03-30 16:30:45.250 | + [[ -z deb ]]
2015-03-30 16:30:45.250 | + '[' deb = deb ']'
2015-03-30 16:30:45.250 | + '[' '!' -f /etc/init.d/libvirtd ']'
2015-03-30 16:30:45.250 | + LIBVIRT_DAEMON=libvirt-bin
2015-03-30 16:30:45.250 | + is_fedora
2015-03-30 16:30:45.250 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.250 | + '[' Ubuntu = Fedora ']'
2015-03-30 16:30:45.250 | + '[' Ubuntu = 'Red Hat' ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = CentOS ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = OracleLinux ']'
2015-03-30 16:30:45.251 | + is_suse
2015-03-30 16:30:45.251 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.251 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.251 | + getent group libvirtd
2015-03-30 16:30:45.252 | + add_user_to_group seecs libvirtd
2015-03-30 16:30:45.252 | + local user=seecs
2015-03-30 16:30:45.252 | + local group=libvirtd
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + is_suse
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.252 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.252 | + sudo usermod -a -G libvirtd seecs
2015-03-30 16:30:45.259 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.259 | + restart_service libvirt-bin
2015-03-30 16:30:45.259 | + is_ubuntu
2015-03-30 16:30:45.259 | + [[ -z deb ]]
2015-03-30 16:30:45.259 | + '[' deb = deb ']'
2015-03-30 16:30:45.259 | + sudo /usr/sbin/service libvirt-bin restart
2015-03-30 16:30:45.277 | libvirt-bin stop/waiting
2015-03-30 16:30:45.294 | libvirt-bin start/running, process 14823
2015-03-30 16:30:45.295 | + iniset /etc/nova/nova.conf libvirt virt_type kvm
2015-03-30 16:30:45.302 | + iniset /etc/nova/nova.conf libvirt cpu_mode none
2015-03-30 16:30:45.309 | + iniset /etc/nova/nova.conf libvirt use_usb_tablet False
2015-03-30 16:30:45.315 | + iniset /etc/nova/nova.conf libvirt live_migration_uri qemu+ssh://seecs@%s/system
2015-03-30 16:30:45.321 | + iniset /etc/nova/nova.conf DEFAULT default_ephemeral_format ext4
2015-03-30 16:30:45.330 | + iniset /etc/nova/nova.conf DEFAULT compute_driver libvirt.LibvirtDriver
2015-03-30 16:30:45.341 | + LIBVIRT_FIREWALL_DRIVER=nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.341 | + iniset /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.351 | + is_arch ppc64
2015-03-30 16:30:45.352 | ++ uname -m
2015-03-30 16:30:45.353 | + [[ x86_64 == \p\p\c\6\4 ]]
2015-03-30 16:30:45.353 | ++ trueorfalse False ENABLE_FILE_INJECTION
2015-03-30 16:30:45.356 | + ENABLE_FILE_INJECTION=False
2015-03-30 16:30:45.356 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.356 | + iniset /etc/nova/nova.conf libvirt inject_partition -2
2015-03-30 16:30:45.365 | + [[ kvm = \p\a\r\a\l\l\e\l\s ]]
2015-03-30 16:30:45.365 | + is_service_enabled horizon
2015-03-30 16:30:45.367 | + return 0
2015-03-30 16:30:45.367 | + install_django_openstack_auth
2015-03-30 16:30:45.367 | + use_library_from_git django_openstack_auth
2015-03-30 16:30:45.367 | + local name=django_openstack_auth
2015-03-30 16:30:45.367 | + local enabled=1
2015-03-30 16:30:45.367 | + [[ ,, =~ ,django_openstack_auth, ]]
2015-03-30 16:30:45.367 | + return 1
2015-03-30 16:30:45.367 | + stack_install_service horizon
2015-03-30 16:30:45.367 | + local service=horizon
2015-03-30 16:30:45.367 | + type install_horizon
2015-03-30 16:30:45.367 | + [[ False = True ]]
2015-03-30 16:30:45.367 | + install_horizon
2015-03-30 16:30:45.367 | + install_apache_wsgi
2015-03-30 16:30:45.367 | + is_ubuntu
2015-03-30 16:30:45.367 | + [[ -z deb ]]
2015-03-30 16:30:45.367 | + '[' deb = deb ']'
2015-03-30 16:30:45.367 | + install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.367 | + update_package_repo
2015-03-30 16:30:45.367 | + NO_UPDATE_REPOS=False
2015-03-30 16:30:45.367 | + REPOS_UPDATED=True
2015-03-30 16:30:45.368 | + RETRY_UPDATE=False
2015-03-30 16:30:45.368 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.368 | + is_ubuntu
2015-03-30 16:30:45.368 | + [[ -z deb ]]
2015-03-30 16:30:45.368 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.370 | + is_ubuntu
2015-03-30 16:30:45.370 | + [[ -z deb ]]
2015-03-30 16:30:45.370 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.374 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.389 | Reading package lists...
2015-03-30 16:30:45.595 | Building dependency tree...
2015-03-30 16:30:45.596 | Reading state information...
2015-03-30 16:30:45.818 | apache2 is already the newest version.
2015-03-30 16:30:45.818 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:45.818 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:45.819 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.819 | + is_ubuntu
2015-03-30 16:30:45.819 | + [[ -z deb ]]
2015-03-30 16:30:45.819 | + '[' deb = deb ']'
2015-03-30 16:30:45.819 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.822 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.835 | Reading package lists...
2015-03-30 16:30:46.029 | Building dependency tree...
2015-03-30 16:30:46.029 | Reading state information...
2015-03-30 16:30:46.237 | apache2 is already the newest version.
2015-03-30 16:30:46.237 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:46.237 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:46.238 | + sudo a2enmod wsgi
2015-03-30 16:30:46.264 | Module wsgi already enabled
2015-03-30 16:30:46.265 | + sudo a2enmod version
2015-03-30 16:30:46.292 | ERROR: Module version does not exist!
2015-03-30 16:30:46.293 | + true
2015-03-30 16:30:46.293 | + git_clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon stable/juno
2015-03-30 16:30:46.293 | + local git_remote=git://git.openstack.org/openstack/horizon.git
2015-03-30 16:30:46.293 | + local git_dest=/opt/stack/horizon
2015-03-30 16:30:46.293 | + local git_ref=stable/juno
2015-03-30 16:30:46.293 | ++ pwd
2015-03-30 16:30:46.294 | + local orig_dir=/home/seecs/devstack
2015-03-30 16:30:46.294 | + local git_clone_flags=
2015-03-30 16:30:46.294 | ++ trueorfalse False RECLONE
2015-03-30 16:30:46.296 | + RECLONE=False
2015-03-30 16:30:46.296 | + [[ 0 -gt 0 ]]
2015-03-30 16:30:46.296 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.296 | + echo stable/juno
2015-03-30 16:30:46.297 | + egrep -q '^refs'
2015-03-30 16:30:46.297 | + [[ ! -d /opt/stack/horizon ]]
2015-03-30 16:30:46.297 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.297 | + git_timed clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.297 | + local count=0
2015-03-30 16:30:46.297 | + local timeout=0
2015-03-30 16:30:46.297 | + [[ -n 0 ]]
2015-03-30 16:30:46.297 | + timeout=0
2015-03-30 16:30:46.297 | + timeout -s SIGINT 0 git clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'...
2015-03-30 16:34:04.667 | + cd /opt/stack/horizon
2015-03-30 16:34:04.667 | + git checkout stable/juno
2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno'
2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin.
2015-03-30 16:34:04.861 | + cd /opt/stack/horizon
2015-03-30 16:34:04.862 | + git show --oneline
2015-03-30 16:34:04.864 | + head -1
2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages
2015-03-30 16:34:04.865 | + cd /home/seecs/devstack
2015-03-30 16:34:04.865 | + [[ False = True ]]
2015-03-30 16:34:04.865 | + configure_horizon
2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + local flags=-e
2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon
2015-03-30 16:34:04.866 | ++ git diff --exit-code
2015-03-30 16:34:04.916 | + local update_requirements=
2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]]
2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]]
2015-03-30 16:34:04.916 | + cd /opt/stack/requirements
2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon
2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is not in global-requirements.txt
2015-03-30 16:34:05.110 | + exit_trap
2015-03-30 16:34:05.110 | + local r=1
2015-03-30 16:34:05.110 | ++ jobs -p
2015-03-30 16:34:05.110 | + jobs=
2015-03-30 16:34:05.110 | + [[ -n '' ]]
2015-03-30 16:34:05.110 | + kill_spinner
2015-03-30 16:34:05.110 | + '[' '!' -z '' ']'
2015-03-30 16:34:05.110 | + [[ 1 -ne 0 ]]
2015-03-30 16:34:05.111 | + echo 'Error on exit'
2015-03-30 16:34:05.111 | Error on exit
2015-03-30 16:34:05.111 | + [[ -z /tmp/logs ]]
2015-03-30 16:34:05.111 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs
2015-03-30 16:34:05.139 | + exit 1

Getting error while installing devstack juno release ./stack.sh

" installation error ImportError: Import Error: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies

2015-03-30 16:30:45.232 | + [[ -r /home/seecs/devstack/lib/nova_plugins/hypervisor-libvirt ]]
2015-03-30 16:30:45.232 | + configure_nova_hypervisor
2015-03-30 16:30:45.232 | + configure_libvirt
2015-03-30 16:30:45.232 | + is_service_enabled neutron
2015-03-30 16:30:45.235 | + return 0
2015-03-30 16:30:45.235 | + is_neutron_ovs_base_plugin
2015-03-30 16:30:45.236 | + return 0
2015-03-30 16:30:45.236 | + sudo grep -q '^cgroup_device_acl' /etc/libvirt/qemu.conf
2015-03-30 16:30:45.243 | + cat
2015-03-30 16:30:45.244 | + sudo tee -a /etc/libvirt/qemu.conf
2015-03-30 16:30:45.250 | cgroup_device_acl = [
2015-03-30 16:30:45.250 |     "/dev/null", "/dev/full", "/dev/zero",
2015-03-30 16:30:45.250 |     "/dev/random", "/dev/urandom",
2015-03-30 16:30:45.250 |     "/dev/ptmx", "/dev/kvm", "/dev/kqemu",
2015-03-30 16:30:45.250 |     "/dev/rtc", "/dev/hpet","/dev/net/tun",
2015-03-30 16:30:45.250 | ]
2015-03-30 16:30:45.250 | + is_ubuntu
2015-03-30 16:30:45.250 | + [[ -z deb ]]
2015-03-30 16:30:45.250 | + '[' deb = deb ']'
2015-03-30 16:30:45.250 | + '[' '!' -f /etc/init.d/libvirtd ']'
2015-03-30 16:30:45.250 | + LIBVIRT_DAEMON=libvirt-bin
2015-03-30 16:30:45.250 | + is_fedora
2015-03-30 16:30:45.250 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.250 | + '[' Ubuntu = Fedora ']'
2015-03-30 16:30:45.250 | + '[' Ubuntu = 'Red Hat' ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = CentOS ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = OracleLinux ']'
2015-03-30 16:30:45.251 | + is_suse
2015-03-30 16:30:45.251 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.251 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.251 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.251 | + getent group libvirtd
2015-03-30 16:30:45.252 | + add_user_to_group seecs libvirtd
2015-03-30 16:30:45.252 | + local user=seecs
2015-03-30 16:30:45.252 | + local group=libvirtd
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + is_suse
2015-03-30 16:30:45.252 | + [[ -z Ubuntu ]]
2015-03-30 16:30:45.252 | + '[' Ubuntu = openSUSE ']'
2015-03-30 16:30:45.252 | + '[' Ubuntu = 'SUSE LINUX' ']'
2015-03-30 16:30:45.252 | + sudo usermod -a -G libvirtd seecs
2015-03-30 16:30:45.259 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.259 | + restart_service libvirt-bin
2015-03-30 16:30:45.259 | + is_ubuntu
2015-03-30 16:30:45.259 | + [[ -z deb ]]
2015-03-30 16:30:45.259 | + '[' deb = deb ']'
2015-03-30 16:30:45.259 | + sudo /usr/sbin/service libvirt-bin restart
2015-03-30 16:30:45.277 | libvirt-bin stop/waiting
2015-03-30 16:30:45.294 | libvirt-bin start/running, process 14823
2015-03-30 16:30:45.295 | + iniset /etc/nova/nova.conf libvirt virt_type kvm
2015-03-30 16:30:45.302 | + iniset /etc/nova/nova.conf libvirt cpu_mode none
2015-03-30 16:30:45.309 | + iniset /etc/nova/nova.conf libvirt use_usb_tablet False
2015-03-30 16:30:45.315 | + iniset /etc/nova/nova.conf libvirt live_migration_uri qemu+ssh://seecs@%s/system
2015-03-30 16:30:45.321 | + iniset /etc/nova/nova.conf DEFAULT default_ephemeral_format ext4
2015-03-30 16:30:45.330 | + iniset /etc/nova/nova.conf DEFAULT compute_driver libvirt.LibvirtDriver
2015-03-30 16:30:45.341 | + LIBVIRT_FIREWALL_DRIVER=nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.341 | + iniset /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.libvirt.firewall.IptablesFirewallDriver
2015-03-30 16:30:45.351 | + is_arch ppc64
2015-03-30 16:30:45.352 | ++ uname -m
2015-03-30 16:30:45.353 | + [[ x86_64 == \p\p\c\6\4 ]]
2015-03-30 16:30:45.353 | ++ trueorfalse False ENABLE_FILE_INJECTION
2015-03-30 16:30:45.356 | + ENABLE_FILE_INJECTION=False
2015-03-30 16:30:45.356 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.356 | + iniset /etc/nova/nova.conf libvirt inject_partition -2
2015-03-30 16:30:45.365 | + [[ kvm = \p\a\r\a\l\l\e\l\s ]]
2015-03-30 16:30:45.365 | + is_service_enabled horizon
2015-03-30 16:30:45.367 | + return 0
2015-03-30 16:30:45.367 | + install_django_openstack_auth
2015-03-30 16:30:45.367 | + use_library_from_git django_openstack_auth
2015-03-30 16:30:45.367 | + local name=django_openstack_auth
2015-03-30 16:30:45.367 | + local enabled=1
2015-03-30 16:30:45.367 | + [[ ,, =~ ,django_openstack_auth, ]]
2015-03-30 16:30:45.367 | + return 1
2015-03-30 16:30:45.367 | + stack_install_service horizon
2015-03-30 16:30:45.367 | + local service=horizon
2015-03-30 16:30:45.367 | + type install_horizon
2015-03-30 16:30:45.367 | + [[ False = True ]]
2015-03-30 16:30:45.367 | + install_horizon
2015-03-30 16:30:45.367 | + install_apache_wsgi
2015-03-30 16:30:45.367 | + is_ubuntu
2015-03-30 16:30:45.367 | + [[ -z deb ]]
2015-03-30 16:30:45.367 | + '[' deb = deb ']'
2015-03-30 16:30:45.367 | + install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.367 | + update_package_repo
2015-03-30 16:30:45.367 | + NO_UPDATE_REPOS=False
2015-03-30 16:30:45.367 | + REPOS_UPDATED=True
2015-03-30 16:30:45.368 | + RETRY_UPDATE=False
2015-03-30 16:30:45.368 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:45.368 | + is_ubuntu
2015-03-30 16:30:45.368 | + [[ -z deb ]]
2015-03-30 16:30:45.368 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.370 | + is_ubuntu
2015-03-30 16:30:45.370 | + [[ -z deb ]]
2015-03-30 16:30:45.370 | + '[' deb = deb ']'
2015-03-30 16:30:45.370 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.374 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.389 | Reading package lists...
2015-03-30 16:30:45.595 | Building dependency tree...
2015-03-30 16:30:45.596 | Reading state information...
2015-03-30 16:30:45.818 | apache2 is already the newest version.
2015-03-30 16:30:45.818 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:45.818 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:45.819 | + real_install_package apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.819 | + is_ubuntu
2015-03-30 16:30:45.819 | + [[ -z deb ]]
2015-03-30 16:30:45.819 | + '[' deb = deb ']'
2015-03-30 16:30:45.819 | + apt_get install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.822 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes install apache2 libapache2-mod-wsgi
2015-03-30 16:30:45.835 | Reading package lists...
2015-03-30 16:30:46.029 | Building dependency tree...
2015-03-30 16:30:46.029 | Reading state information...
2015-03-30 16:30:46.237 | apache2 is already the newest version.
2015-03-30 16:30:46.237 | libapache2-mod-wsgi is already the newest version.
2015-03-30 16:30:46.237 | 0 upgraded, 0 newly installed, 0 to remove and 497 not upgraded.
2015-03-30 16:30:46.238 | + sudo a2enmod wsgi
2015-03-30 16:30:46.264 | Module wsgi already enabled
2015-03-30 16:30:46.265 | + sudo a2enmod version
2015-03-30 16:30:46.292 | ERROR: Module version does not exist!
2015-03-30 16:30:46.293 | + true
2015-03-30 16:30:46.293 | + git_clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon stable/juno
2015-03-30 16:30:46.293 | + local git_remote=git://git.openstack.org/openstack/horizon.git
2015-03-30 16:30:46.293 | + local git_dest=/opt/stack/horizon
2015-03-30 16:30:46.293 | + local git_ref=stable/juno
2015-03-30 16:30:46.293 | ++ pwd
2015-03-30 16:30:46.294 | + local orig_dir=/home/seecs/devstack
2015-03-30 16:30:46.294 | + local git_clone_flags=
2015-03-30 16:30:46.294 | ++ trueorfalse False RECLONE
2015-03-30 16:30:46.296 | + RECLONE=False
2015-03-30 16:30:46.296 | + [[ 0 -gt 0 ]]
2015-03-30 16:30:46.296 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.296 | + echo stable/juno
2015-03-30 16:30:46.297 | + egrep -q '^refs'
2015-03-30 16:30:46.297 | + [[ ! -d /opt/stack/horizon ]]
2015-03-30 16:30:46.297 | + [[ False = \T\r\u\e ]]
2015-03-30 16:30:46.297 | + git_timed clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.297 | + local count=0
2015-03-30 16:30:46.297 | + local timeout=0
2015-03-30 16:30:46.297 | + [[ -n 0 ]]
2015-03-30 16:30:46.297 | + timeout=0
2015-03-30 16:30:46.297 | + timeout -s SIGINT 0 git clone git://git.openstack.org/openstack/horizon.git /opt/stack/horizon
2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'...
2015-03-30 16:34:04.667 | + cd /opt/stack/horizon
2015-03-30 16:34:04.667 | + git checkout stable/juno
2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno'
2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin.
2015-03-30 16:34:04.861 | + cd /opt/stack/horizon
2015-03-30 16:34:04.862 | + git show --oneline
2015-03-30 16:34:04.864 | + head -1
2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages
2015-03-30 16:34:04.865 | + cd /home/seecs/devstack
2015-03-30 16:34:04.865 | + [[ False = True ]]
2015-03-30 16:34:04.865 | + configure_horizon
2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e
2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon
2015-03-30 16:34:04.865 | + local flags=-e
2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon
2015-03-30 16:34:04.866 | ++ git diff --exit-code
2015-03-30 16:34:04.916 | + local update_requirements=
2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]]
2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]]
2015-03-30 16:34:04.916 | + cd /opt/stack/requirements
2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon
2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is not in global-requirements.txt
2015-03-30 16:34:05.110 | + exit_trap
2015-03-30 16:34:05.110 | + local r=1
2015-03-30 16:34:05.110 | ++ jobs -p
2015-03-30 16:34:05.110 | + jobs=
2015-03-30 16:34:05.110 | + [[ -n '' ]]
2015-03-30 16:34:05.110 | + kill_spinner
2015-03-30 16:34:05.110 | + '[' '!' -z '' ']'
2015-03-30 16:34:05.110 | + [[ 1 -ne 0 ]]
2015-03-30 16:34:05.111 | + echo 'Error on exit'
2015-03-30 16:34:05.111 | Error on exit
2015-03-30 16:34:05.111 | + [[ -z /tmp/logs ]]
2015-03-30 16:34:05.111 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs
2015-03-30 16:34:05.139 | + exit 1

Getting error while installing devstack juno release ./stack.sh

" installation error Import Error: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies

2015-03-30 16:30:46.299 | Cloning into '/opt/stack/horizon'...
2015-03-30 16:34:04.667 | + cd /opt/stack/horizon
2015-03-30 16:34:04.667 | + git checkout stable/juno
2015-03-30 16:34:04.860 | Switched to a new branch 'stable/juno'
2015-03-30 16:34:04.860 | Branch stable/juno set up to track remote branch stable/juno from origin.
2015-03-30 16:34:04.861 | + cd /opt/stack/horizon
2015-03-30 16:34:04.862 | + git show --oneline
2015-03-30 16:34:04.864 | + head -1
2015-03-30 16:34:04.864 | 947bc63 Pass correct project ID to get tenant_usages
2015-03-30 16:34:04.865 | + cd /home/seecs/devstack
2015-03-30 16:34:04.865 | + [[ False 

2015-04-01 16:26:40.836 | Traceback (most recent call last): 2015-04-01 16:26:40.836 | File "/opt/stack/horizon/manage.py", line 23, in <module> 2015-04-01 16:26:40.836 | execute_from_command_line(sys.argv) 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 385, in execute_from_command_line 2015-04-01 16:26:40.836 | utility.execute() 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 345, in execute 2015-04-01 16:26:40.836 | settings.INSTALLED_APPS 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 46, in __getattr__ 2015-04-01 16:26:40.836 | self._setup(name) 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 42, in _setup 2015-04-01 16:26:40.836 | self._wrapped = True ]] 2015-03-30 16:34:04.865 | + configure_horizon 2015-03-30 16:34:04.865 | + setup_develop /opt/stack/horizon 2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon 2015-03-30 16:34:04.865 | + setup_package_with_req_sync /opt/stack/horizon -e 2015-03-30 16:34:04.865 | + local project_dir=/opt/stack/horizon 2015-03-30 16:34:04.865 | + local flags=-e 2015-03-30 16:34:04.865 | ++ cd /opt/stack/horizon 2015-03-30 16:34:04.866 | ++ git diff --exit-code 2015-03-30 16:34:04.916 | + local update_requirements= 2015-03-30 16:34:04.916 | + [[ '' != \c\h\a\n\g\e\d ]] 2015-03-30 16:34:04.916 | + [[ strict == \s\o\f\t ]] 2015-03-30 16:34:04.916 | + cd /opt/stack/requirements 2015-03-30 16:34:04.916 | + python update.py /opt/stack/horizon 2015-03-30 16:34:05.098 | 'xstatic-angular-cookies' is Settings(settings_module) 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 98, in __init__ 2015-04-01 16:26:40.837 | % (self.SETTINGS_MODULE, e) 2015-04-01 16:26:40.837 | ImportError: Could not in global-requirements.txt 2015-03-30 16:34:05.110 import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies 2015-04-01 16:26:40.840 | + exit_trap 2015-03-30 16:34:05.110 2015-04-01 16:26:40.840 | + local r=1 2015-03-30 16:34:05.110 2015-04-01 16:26:40.841 | ++ jobs -p 2015-03-30 16:34:05.110 2015-04-01 16:26:40.841 | + jobs= 2015-03-30 16:34:05.110 2015-04-01 16:26:40.841 | + [[ -n '' ]] 2015-03-30 16:34:05.110 2015-04-01 16:26:40.841 | + kill_spinner 2015-03-30 16:34:05.110 2015-04-01 16:26:40.841 | + '[' '!' -z '' ']' 2015-03-30 16:34:05.110 2015-04-01 16:26:40.841 | + [[ 1 -ne 0 ]] 2015-03-30 16:34:05.111 2015-04-01 16:26:40.841 | + echo 'Error on exit' 2015-03-30 16:34:05.111 2015-04-01 16:26:40.841 | Error on exit 2015-03-30 16:34:05.111 2015-04-01 16:26:40.841 | + [[ -z /tmp/logs ]] 2015-03-30 16:34:05.111 2015-04-01 16:26:40.841 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs 2015-03-30 16:34:05.139 2015-04-01 16:26:40.870 | + exit 1

1

Getting error while installing devstack juno release ./stack.sh

" installation error Import Error: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies

2015-04-01 16:26:40.836 | Traceback (most recent call last): 2015-04-01 16:26:40.836 | File "/opt/stack/horizon/manage.py", line 23, in <module> 2015-04-01 16:26:40.836 | execute_from_command_line(sys.argv) 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 385, in execute_from_command_line 2015-04-01 16:26:40.836 | utility.execute() 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 345, in execute 2015-04-01 16:26:40.836 | settings.INSTALLED_APPS 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 46, in __getattr__ 2015-04-01 16:26:40.836 | self._setup(name) 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 42, in _setup 2015-04-01 16:26:40.836 | self._wrapped = Settings(settings_module) 2015-04-01 16:26:40.836 | File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 98, in __init__ 2015-04-01 16:26:40.837 | % (self.SETTINGS_MODULE, e) 2015-04-01 16:26:40.837 | ImportError: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies 2015-04-01 16:26:40.840 | + exit_trap 2015-04-01 16:26:40.840 | + local r=1 2015-04-01 16:26:40.841 | ++ jobs -p 2015-04-01 16:26:40.841 | + jobs= 2015-04-01 16:26:40.841 | + [[ -n '' ]] 2015-04-01 16:26:40.841 | + kill_spinner 2015-04-01 16:26:40.841 | + '[' '!' -z '' ']' 2015-04-01 16:26:40.841 | + [[ 1 -ne 0 ]] 2015-04-01 16:26:40.841 | + echo 'Error on exit' 2015-04-01 16:26:40.841 | Error on exit 2015-04-01 16:26:40.841 | + [[ -z /tmp/logs ]] 2015-04-01 16:26:40.841 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs 2015-04-01 16:26:40.870 | + exit 1

Getting error while installing devstack juno release ./stack.sh

" installation error Import Error: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is there an import error in the settings file?): No module named angular_cookies angular_cookies

2015-04-01 16:26:40.836 | Traceback (most recent call last):
 2015-04-01 16:26:40.836 |   File "/opt/stack/horizon/manage.py", line 23, in <module>
 2015-04-01 16:26:40.836 |     execute_from_command_line(sys.argv)
 2015-04-01 16:26:40.836 |   File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 385,   in execute_from_command_line
 2015-04-01 16:26:40.836 |     utility.execute()
 2015-04-01 16:26:40.836 |   File "/usr/local/lib/python2.7/dist-packages/django/core/management/__init__.py", line 345, in execute
 2015-04-01 16:26:40.836 |     settings.INSTALLED_APPS
 2015-04-01 16:26:40.836 |   File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 46, in __getattr__
 2015-04-01 16:26:40.836 |     self._setup(name)
 2015-04-01 16:26:40.836 |   File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 42, in _setup
 2015-04-01 16:26:40.836 |     self._wrapped = Settings(settings_module)
 2015-04-01 16:26:40.836 |   File "/usr/local/lib/python2.7/dist-packages/django/conf/__init__.py", line 98, in __init__
 2015-04-01 16:26:40.837 |     % (self.SETTINGS_MODULE, e)
 2015-04-01 16:26:40.837 | ImportError: Could not import settings 'openstack_dashboard.settings' (Is it on sys.path? Is  there an import error in the settings file?): No module named angular_cookies
 2015-04-01 16:26:40.840 | + exit_trap
 2015-04-01 16:26:40.840 | + local r=1
 2015-04-01 16:26:40.841 | ++ jobs -p
 2015-04-01 16:26:40.841 | + jobs=
 2015-04-01 16:26:40.841 | + [[ -n '' ]]
 2015-04-01 16:26:40.841 | + kill_spinner
 2015-04-01 16:26:40.841 | + '[' '!' -z '' ']'
 2015-04-01 16:26:40.841 | + [[ 1 -ne 0 ]]
 2015-04-01 16:26:40.841 | + echo 'Error on exit'
 2015-04-01 16:26:40.841 | Error on exit
 2015-04-01 16:26:40.841 | + [[ -z /tmp/logs ]]
 2015-04-01 16:26:40.841 | + /home/seecs/devstack/tools/worlddump.py -d /tmp/logs
 2015-04-01 16:26:40.870 | + exit 1

1